=== debian/changelog ===
latex2rtf (2.3.18a-5) unstable; urgency=medium

  * Update debian/watch to correctly match new upstream versions using
    extended uscan syntax.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2023 20:24:38 -0400

latex2rtf (2.3.18a-4) unstable; urgency=medium

  * Resolve error on second build in source tree. (Closes: #1048167)
  * Update debian/watch to allow for non-numeric versions.
  * Cleanup debian/copyright to match actual Copyright file.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2023 00:11:01 -0400

latex2rtf (2.3.18a-3) unstable; urgency=medium

  * Remove latex2rtf from .PHONY target (again...?) to resolve
    cross-compiling issues. (Closes: #963938)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Jul 2020 16:27:00 -0400

latex2rtf (2.3.18a-2) unstable; urgency=medium

  * Correct bsdmainutils build dependency.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 24 Jun 2020 22:23:31 -0400

latex2rtf (2.3.18a-1) unstable; urgency=medium

  * New upstream release.
  * man_html.patch is no longer needed since Debian now has man2html.
  * Ensure CPPFLAGS are used in addition to CFLAGS.
  * Upstream tarball of previous release included latex2rtf binary,
    leading to lintian error. (Closes: #963519)
  * Build documentation and binaries separately to avoid extra work when
    just building one or the other.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 24 Jun 2020 19:59:45 -0400
