=== debian/control ===
Source: latex2rtf
Section: tex
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               texlive-latex-extra,
               texlive-fonts-recommended
Build-Depends-Indep: texinfo,
                     texlive-bibtex-extra,
                     bsdextrautils | bsdmainutils (<< 12.1.1),
                     man2html,
                     man-db | man,
                     perl
Rules-Requires-Root: no
Homepage: http://latex2rtf.sourceforge.net

Package: latex2rtf
Architecture: any
Depends: imagemagick | graphicsmagick-imagemagick-compat,
         netpbm,
         texlive-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: latex2rtf-doc
Enhances: tetex-base, texlive-base
Description: Converts documents from LaTeX to RTF format
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 The detailed documentation is in the latex2rtf-doc package.

Package: latex2rtf-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Converts documents from LaTeX to RTF - documentation
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 This package includes the documentation for LaTeX2RTF in HTML, Info
 and PDF formats.
