=== debian/watch ===
version=4
https://sf.net/latex2rtf/ latex2rtf-@ANY_VERSION@@ARCHIVE_EXT@
